unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls, SAXunit;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    html: TMemo;
    Label1: TLabel;
    log: TMemo;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
  var
    saxparser:SAX;
begin
  html.Lines.Clear;
  log.Lines.Clear;
  if OpenDialog1.Execute then begin
    saxparser:=SAX.Create;
    saxparser.parseXML(OpenDialog1.FileName);
    html.Lines.Add(saxparser.getString());
    log.Lines.Add(saxparser.getLog());
    saxparser.Free;
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
  var
    f_html:TextFile;
    i:integer;
begin
  if SaveDialog1.Execute then begin
    AssignFile(f_html,SaveDialog1.FileName);
    ReWrite(f_html);
    for i:=1 to html.Lines.Count do
      WriteLn(f_html,html.Lines[i]);
    CloseFile(f_html);
  end;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Close;
end;

initialization
  {$I unit1.lrs}

end.

